<?php
if(isset($_POST["bexp"])) {	
	$varFIni = ($_POST["fini"]=="") ? "NULL" : "'".FechaMySql($_POST["fini"])."'";
	$varFFin = ($_POST["ffin"]=="") ? "NULL" : "'".FechaMySql($_POST["ffin"])."'";
	$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];				
	$sql = "call spQuery_Registro_Ventas_Devolucion($varClie, $varFIni, $varFFin)";
	$_SESSION[expor_sql_1] =  $sql;
	$_SESSION[expor_sql_2] = NULL;
	$dir = "export.php?page=REGISTRO DE VENTAS";
	header("location: $dir");
	}
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

require "clases/KoolAjax/koolajax.php";
$koolajax->scriptFolder = "clases/KoolAjax";
	
function seleccionaProducto($ide) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Producto('$ide','');";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[1]."[[sep]]".$Fila[2]."[[sep]]".$Fila[3];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}
	
function seleccionaCliente($ide) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Cliente('$ide','','');";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[1];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}

function seleccionarNroDocumento($ide) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$sql = "select spFuncion_NumeroDocumento($ide);";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		if($Fila = $obj->FetchArray($rs)) {
			$retorna = "<input id=\"tdnam\" name=\"tdnam\" type=\"text\" readonly class='inputDisable' ";
			$retorna.= "style=\"width:120px;text-align:center\" onkeypress=\"\" value=\"$Fila[0]\" > Ejm. 007-1234567";
			}
		else {
			$retorna = "<input id=\"tdnam\" name=\"tdnam\" type=\"text\" readonly class='inputDisable' ";
			$retorna.= "style=\"width:120px;text-align:center\" onkeypress=\"\" value=\"$Fila[0]\" > Ejm. 007-1234567";
			}
		$respuestaXajax = new xajaxResponse();
		$respuestaXajax->assign("divDoc","innerHTML",$retorna);	
		return $respuestaXajax;
		}
	}	
	
$xajax->register(XAJAX_FUNCTION, 'seleccionarNroDocumento');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");

$koolajax->enableFunction("seleccionaProducto");
$koolajax->enableFunction("seleccionaCliente");	
echo $koolajax->Render();
		
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	$Link = $_SERVER['PHP_SELF'];
	$MyTabla = "_sv_venta";
	$myID = "id_venta";
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	?>
	<script language="javascript">
	function CalcularItem(i) {
		var varCanDoc = 0;
		var varCanUni = 0;
		var varUnitario = 0;
		
		var vuni = document.getElementById('iuni['+i+']');
		var vcandoc = document.getElementById('icandoc['+i+']');	
		var vcanuni = document.getElementById('icanuni['+i+']');
		var vtot = document.getElementById('itot['+i+']');
		
		if (vuni.value=="") varUnitario = "0";
		else	varUnitario = vuni.value;
		
		if (vcandoc.value=="") varCanDoc="0";
		else	varCanDoc = vcandoc.value;
		
		if (vcanuni.value=="") varCanUni="0";
		else	varCanUni = vcanuni.value;
	
		var varTotal = parseFloat(varUnitario)*parseFloat(varCanDoc) + parseFloat(varUnitario*varCanUni/12);
		vtot.value = redondear(varTotal,2);
		CalculaRTotal();
		}
		
	function CalculaRTotal() {
		var form = document.getElementById('formulario');
		var sto = 0;
		for (i=0;i<form.elements.length;i++) {	
			var Campo = form.elements[i].name;		
			if(Campo.indexOf("itot")==0) {			
				if (form.elements[i].value!="") {				
					sto = sto + parseFloat(form.elements[i].value);		
					}
				}
			}
		var vtotal = document.getElementById('tot');
		vtotal.value = redondear(sto,2);
		}
		
	function restar() {
		var miTabla = document.getElementById("cuerpoTabla");
		var i = 0;
		do
			if (miTabla.rows[i].getElementsByTagName("input")[0].checked == true)
				miTabla.deleteRow(i);
			else
				i ++;
		while (miTabla.rows.length != i)
	}
	
	function suma()  {
		var vnum = document.getElementById('num');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("cuerpoTabla");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		var celda7 = document.createElement("td");
		var celda8 = document.createElement("td");
		celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"cargarProducto('icod["+num+"]', 'inom["+num+"]')\"  onblur=\"select_producto('"+num+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
		celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:250px' />";	
		celda3.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";
		celda4.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda5.innerHTML = "<input id='icandoc["+num+"]' name='icandoc["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloEnteros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda6.innerHTML = "<input id='icanuni["+num+"]' name='icanuni["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloEnteros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda7.innerHTML = "<input id='itot["+num+"]' name='itot["+num+"]' type='text' class='inputDisable' readonly style='text-align:right;width:50px'/>";	
		celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";
		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		fila.appendChild(celda7);
		fila.appendChild(celda8);
		miTabla.appendChild(fila);
		vnum.value=num;
		}
	
	function DeleteRow(x) {
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		CalculaTotal();
		}
		
	function valida(e){
		tecla=(document.all) ? e.keyCode : e.which;
		if(tecla == 13)
		document.form.cond.focus();
		}
		
	function pulsar(e, a) {
		tecla=(document.all) ? e.keyCode : e.which;
		var Campo = a.name;		
			
		if(tecla==13) {
			if(Campo == "ccod") {
				cargar("U","C",a.value,document.form.emp.value);
				document.form.cond.focus();
				}
			if(Campo.indexOf("acod")==0) {
				msj_articulo = "NO PRESIONES ENTER\n";
				}
			}
		return(tecla!=13);
	//	document.form.cond.focus();
		}
	
	function cargarProducto(ccod, cnom) {
		var Ruta = 'lista_producto.php?ccod='+ccod+'&cnom='+cnom;
		testwindow= window.open (Ruta, "mywindow",
		"location=1,status=1,scrollbars=1,width=600,height=600");
		}
	function cargarCliente(ccod, cnom) {
		var Ruta = 'lista_cliente.php?ccod='+ccod+'&cnom='+cnom;
		testwindow= window.open (Ruta, "mywindow", "location=1,status=1,scrollbars=1,width=600,height=550");
		}		
	function select_producto(ide) {	
		var ccod1 = document.getElementById('icod['+ide+']');
		var cnom1 = document.getElementById('inom['+ide+']');
		var cuni  = document.getElementById('iuni['+ide+']');
		var cstk  = document.getElementById('istk['+ide+']');
		
		var existe="NO";
		var form = document.getElementById('formulario');	
		if(ccod1.value =="") {
			ccod1.value = "";
			cnom1.value = "";
			cstk.value  = "";
			cuni.value  = "";
			}
		else {		
			var dato = koolajax.callback(seleccionaProducto(ccod1.value));		
			if(dato=="NO EXISTE") {
				alert("PRODUCTO ESCRITO NO EXISTE...");
				ccod1.value = "";
				cnom1.value = dato;
				cuni.value = "";
				ccod1.focus();
				}
			else {
				var myArray = dato.split('[[sep]]'); 			
				for (i=0;i<form.elements.length;i++) {
					var Campo = form.elements[i].name;		
					if(Campo.indexOf("icod")==0 && form.elements[i].value==ccod1.value && Campo != ccod1.name) {
						existe="SI";	
						}	
					}				
				if (existe=="SI") {
					ccod1.value = "";
					cnom1.value = "";
					cuni.value = "";
					alert("EL producto : " + ccod1.value + "\n" + myArray[0] + "\nYA ESTA AGREGADO, SELECCIONE OTRO POR FAVOR");
					ccod1.focus();
					}
				else {
					
					cnom1.value = myArray[0];
					cuni.value 	= myArray[1];
					cstk.value 	= myArray[2];
					}
				}
			}
		}
		
	
	function select_Cliente(ccod, cnom) {		
		var ccod1 = document.getElementById(ccod);
		var cnom1 = document.getElementById(cnom);
		if(ccod1.value=="") {
			ccod1.value = "";
			cnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaCliente(ccod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				ccod1.value = "";
				cnom1.value = dato;
				ccod1.focus();
				}
			else {
				cnom1.value = dato;
				}
			}
		}
function ImprimirDoc(numDoc) {
	var Ruta = 'print/print_doc.php?ndoc='+numDoc;
	testwindow= window.open (Ruta, "mywindow",
    "location=1,status=1,scrollbars=1,width=50,height=50");
	}
	
function marcar_todo(){
	var texto;
   	for (i=0;i<document.form1.elements.length;i++) {
		if(document.form1.elements[i].type == "checkbox") {	  
			document.form1.elements[i].checked=1
			texto = texto +document.form1.elements[i].value;
			}
		}
	} 
	
function marcar_ninguno(){
	for (i=0;i<document.form1.elements.length;i++) {
		if(document.form1.elements[i].type == "checkbox")
			document.form1.elements[i].checked=0
		}
	} 

function DevolParcial(varCod, varEmi, varTipoDoc, varDoc, varUrl) {
	if(confirm('¿ESTA SEGURO QUE DESEA REALIZAR UNA DEVOLUCION PARCIAL DEL DOCUMENTO\nFecha Emisión : '+varEmi+'\nTipo Doc. : '+varTipoDoc+'\nNro. Doc. : '+varDoc+'?')) {
		var Ruta = varUrl+'?opt=PAR&valor='+varCod;
		window.location.href = Ruta;
		}
	}

function DevolTotal(varCod, varEmi, varTipoDoc, varDoc, varUrl) {
	if(confirm('¿ESTA SEGURO QUE DESEA REALIZAR UNA DEVOLUCION TOTAL DEL DOCUMENTO\nFecha Emisión : '+varEmi+'\nTipo Doc. : '+varTipoDoc+'\nNro. Doc. : '+varDoc+'?')) {
		var Ruta = varUrl+'?opt=TOT&valor='+varCod;
		window.location.href = Ruta;
		}
	}
		
</script>
	<?php
	if(!isset($Opcion)) {
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"FormTitulo", "titulo"=>$Titulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", "valor"=>$_POST["ccod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", "valor"=>$_POST["cnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"vcod", "name"=>"vcod", "valor"=>$_POST["vcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_vendedor(this.value)", 
																					 "dclick"=>"fn_cargar_listado_vendedor('vcod', 'vnom')"),
																			   array("tipo"=>"text", "id"=>"vnom", "name"=>"vnom", "valor"=>$_POST["vnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),	
									   array("titulo"=>"Fecha Inicio :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										     "campo"=>array("tipo"=>"fecha", "id"=>"fini", "name"=>"fini", "valor"=>$_POST["fini"],
														    "ancho"=>"100", "alinear"=>"center")),
									   array("titulo"=>"Fecha Fin :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										     "campo"=>array("tipo"=>"fecha", "id"=>"ffin", "name"=>"ffin", "valor"=>$_POST["ffin"],
														  "ancho"=>"100", "alinear"=>"center")),
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar") )
						);
		echo $obj->setTablaForm($varTabla);	
		if(isset($_POST["bcon"])) {		
			$varFIni = ($_POST["fini"]=="") ? "NULL" : "'".FechaMySql($_POST["fini"])."'";
			$varFFin = ($_POST["ffin"]=="") ? "NULL" : "'".FechaMySql($_POST["ffin"])."'";
			$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
			$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];				
			$sql = "call spQuery_Registro_Ventas_Devolucion($varClie, $varVend, $varFIni, $varFFin)";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"98%", "sql_cab"=>$sql,	"pages"=>20,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"FECHAV", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"TDOC", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"NUMERO"),
										   array("tamano"=>40, "titulo"=>"ESTADO", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center"),
										   array("tamano"=>250,"titulo"=>"CLIENTE"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR"),
										   array("tamano"=>60, "titulo"=>"TOTAL", "alinear"=>"right"),
										   array("tamano"=>120,"titulo"=>"SISTEMA")
										   ),
							"boton"=>array(array("tipo"=>"img", "id"=>"bdet", "name"=>"bdet", "img"=>"images/b_table_lightning.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK AQUI PARA<br>"),
												 				 array("valor"=>"<b>REALIZAR UNA DEVOLUCION PARCIAL</b> DEL DOCUMENTO"),
																 array("valor"=>"<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Tipo Doc. : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Numero Doc. : </b>"),
																 array("valor"=>3, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"DevolParcial",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>3, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO")
																			   )
																)
												 ),											
											array("tipo"=>"img", "id"=>"bdet", "name"=>"bdet", "img"=>"images/b_table_delete.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK AQUI PARA<br>"),
												 				 array("valor"=>"<b>REALIZAR UNA DEVOLUCION TOTAL</b> DEL DOCUMENTO"),
																 array("valor"=>"<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Tipo Doc. : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Numero Doc. : </b>"),
																 array("valor"=>3, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"DevolTotal",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>3, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO")
																			   )
																)
												 )
										)
							);
			echo $obj->SetGridTabla($varTabla);	
			}
		}
	
	elseif($Opcion=="PAR") {
		$sql = "CALL spQuery_Registro_Ventas_Detalle($Valor)";
		$sqlmot = "call spQuery_Combo_Motivo_Rechazo();";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"FormTitulo", "titulo"=>$Titulo." - PARCIAL",
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"100"),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),	 
									   array("titulo"=>"F. Sistema :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["SISTEMA"]),
									   array("titulo"=>"Motivo Rechazo :", "clase1"=>"FormCampo1", "clase2"=>"interior",
						   				 "campo"=>array("tipo"=>"select", "id"=>"mot", "name"=>"mot", "valor"=>NULL,
										  				"combo"=>array("sql"=>$sqlmot, "titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", 
														"ancho"=>"280"))),
									   )
						);
		echo '<form id="form" name="form" method="post" onsubmit="return validaDevolucionProducto(this)">';
		echo $obj->setTablaForm($varTabla);

		$sql = "call spQuery_Registro_Ventas_Contenido($Valor);";
		echo '<a href="javascript:marcar_todo()">Todos</a> | <a href="javascript:marcar_ninguno()">Ninguno</a>';
		
		
		echo "<table id=\"theTable\" style=\"padding: 0; margin-top:5px; margin-bottom:10px; border-collapse:collapse;\" ";
		echo "width=\"750\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" >";
		echo "<thead>";
		echo "<tr>";
		echo "<th height=\"35\" width=\"20\" class=\"sortable\">SEL</th>";
		echo "<th width=\"20\"  class=\"sortable\">DEVOLVER UNIDADES</th>";
		echo "<th width=\"50\"  class=\"sortable\">CITEM</th>";
		echo "<th width=\"350\" class=\"sortable\">NOMBRE DE ARTICULO</th>";
		echo "<th width=\"60\"  class=\"sortable\">UM</th>";
		echo "<th width=\"60\"  class=\"sortable\">PRECIO</th>";
		echo "<th width=\"70\"  class=\"sortable\">CANTIDAD</th>";
		echo "<th width=\"70\"  class=\"sortable\">IMPORTE</th>";
		echo "</tr>";
		echo "</thead>";
		echo "<tbody id=cuerpoTabla>";
		$color1 = "#F5FAFA";
		$color2 = "#edf3f3";
		$colors = "#FFFF33";//"#99FFCC";	
		$bgcolor1 = "bgcolor=$color1 onMouseOver=\"uno(this,'$colors')\"";
		$bgcolor1.= "onMouseOut=\"dos(this,'$color1')\"";		
		$bgcolor2 = "bgcolor=$color2 onMouseOver=\"uno(this,'$colors')\"";
		$bgcolor2.= "onMouseOut=\"dos(this,'$color2')\"";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		while($fila = $obj->FetchArray($rs)) {
			$j++;
			$varTip = ($fila["TIPO"]=="V")?"1":"0";
			$varCod = $fila["CPRO"].$varTip;
			if($fila["CANTIDAD"]>0) {
				if($j%2==0) echo "<tr $bgcolor1>";
				else echo "<tr $bgcolor2>";
				echo "<td height=20 valign=middle align=ceenter class=\"interior\">";
				echo "<input name=\"sel[".$varCod."]\" id=\"sel\" type=\"checkbox\" value=\"".$varCod."\" style=\"width:12px; height:12px\">";
				echo "</td>";
				echo "<td valign=middle align=center class=\"interior\">";
				echo "<input name=\"cdev[".$varCod."]\" type=\"text\" id=\"cdev[".$varCod."]\" onkeypress=\"return SoloNumeros(event)\" ";
				echo "style=\"width:50px;text-align:center\" class=\"inputLogro\"/>";
				echo "<input name=\"ccan[".$varCod."]\" type=\"hidden\" id=\"ccan[".$varCod."]\" value=\"".$fila["CANTIDAD"]."\"/>";
				echo "<input name=\"cnom[".$varCod."]\" type=\"hidden\" id=\"cnom[".$varCod."]\" value=\"".$fila["PRODUCTO"]."\"/>";
				echo "</td>";
				echo "<td valign=middle align=center  class=\"interior\"><b>".$fila["CPRO"]."</b></td>";
				echo "<td valign=middle class=\"interior\" nowrap>".$fila["PRODUCTO"]."</td>";
				echo "<td valign=middle align=center  class=\"interior\">".$fila["UM"]."</td>";
				echo "<td height=20 valign=middle align=right  class=\"interior\">".number_format($fila["PRECIO"], 2,'.',',')."</td>";
				echo "<td height=20 valign=middle align=right  class=\"interior\">".number_format($fila["CANTIDAD"], 2,'.',',')."</td>";
				echo "<td height=20 valign=middle align=right  class=\"interior\">".number_format($fila["TOTAL"], 2,'.',',')."</td>";
				echo "</tr>";
				}
			}
		echo "</tbody>";
		echo "</table>";
		
		$Campo ='{
				"contenido":[
					 {"tipo":"hidden", "id":"cven", "name":"cven", "valor":"'.$Valor.'"},
					 {"tipo":"hidden", "id":"opt", "name":"opt", "valor":"PAR"}
					 ]
				}';			
		echo $obj->setCampos($Campo);
		
		$Boton= '{
				 "botones":[
					 {"tipo":"submit", "id":"save", "name":"save", "texto":"Grabar", "ancho":"100", "alto":"22",
					  "click":"return confirm(\' DESEA REGISTRAR LA DEVOLUCION PARCIAL ?\')"},
					 {"tipo":"button", "id":"regre", "name":"regre", "texto":"Regresar", "ancho":"100", "alto":"22", 
					  "click":"location=\''.$Link.'\'"}
				 ]
				 }';

		echo $obj->setBotones($Boton);
		echo "</form>";		
		}
		
	elseif($Opcion=="TOT") {
		$sql = "CALL spQuery_Registro_Ventas_Detalle($Valor)";
		$sqlmot = "call spQuery_Combo_Motivo_Rechazo();";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"FormTitulo", "titulo"=>$Titulo." - PARCIAL",
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"100"),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),	 
									   array("titulo"=>"F. Sistema :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["SISTEMA"]),
									   array("titulo"=>"Motivo Rechazo :", "clase1"=>"FormCampo1", "clase2"=>"interior",
						   				 "campo"=>array("tipo"=>"select", "id"=>"mot", "name"=>"mot", "valor"=>NULL,
										  				"combo"=>array("sql"=>$sqlmot, "titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", 
														"ancho"=>"280"))),
									   )
						);
		echo '<form id="form" name="form" method="post" onsubmit="return validaDevolucionProductoTotal(this)">';
		echo $obj->setTablaForm($varTabla);

		$sql = "call spQuery_Registro_Ventas_Contenido($Valor); ";
		echo '<a href="javascript:marcar_todo()">Todos</a> | <a href="javascript:marcar_ninguno()">Ninguno</a>';
		
		
		echo "<table id=\"theTable\" style=\"padding: 0; margin-top:5px; margin-bottom:10px; border-collapse:collapse;\" ";
		echo "width=\"750\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" >";
		echo "<thead>";
		echo "<tr>";
		echo "<th height=35 width=\"50\"  class=\"sortable\">CITEM</th>";
		echo "<th width=\"350\" class=\"sortable\">NOMBRE DE ARTICULO</th>";
		echo "<th width=\"60\"  class=\"sortable\">UM</th>";
		echo "<th width=\"60\"  class=\"sortable\">PRECIO</th>";
		echo "<th width=\"70\"  class=\"sortable\">CANTIDAD</th>";
		echo "<th width=\"70\"  class=\"sortable\">IMPORTE</th>";
		echo "</tr>";
		echo "</thead>";
		echo "<tbody id=cuerpoTabla>";
		$color1 = "#F5FAFA";
		$color2 = "#edf3f3";
		$colors = "#FFFF33";//"#99FFCC";	
		$bgcolor1 = "bgcolor=$color1 onMouseOver=\"uno(this,'$colors')\"";
		$bgcolor1.= "onMouseOut=\"dos(this,'$color1')\"";		
		$bgcolor2 = "bgcolor=$color2 onMouseOver=\"uno(this,'$colors')\"";
		$bgcolor2.= "onMouseOut=\"dos(this,'$color2')\"";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		while($fila = $obj->FetchArray($rs)) {
			$j++;
			if($j%2==0) echo "<tr $bgcolor1>";
			else echo "<tr $bgcolor2>";
			echo "<td height=20 valign=middle align=center  class=\"interior\"><b>".$fila["CPRO"]."</b></td>";
			echo "<td valign=middle class=\"interior\">".$fila["PRODUCTO"]."</td>";
			echo "<td valign=middle align=center  class=\"interior\">".$fila["UM"]."</td>";
			echo "<td height=20 valign=middle align=right  class=\"interior\">".number_format($fila["PRECIO"], 2,'.',',')."</td>";
			echo "<td height=20 valign=middle align=right  class=\"interior\">".number_format($fila["CANTIDAD"], 2,'.',',')."</td>";
			echo "<td height=20 valign=middle align=right  class=\"interior\">".number_format($fila["TOTAL"], 2,'.',',')."</td>";
			echo "</tr>";
			}
		echo "</tbody>";
		echo "</table>";
		
		$Campo ='{
				"contenido":[
					 {"tipo":"hidden", "id":"cven", "name":"cven", "valor":"'.$Valor.'"},
					 {"tipo":"hidden", "id":"opt", "name":"opt", "valor":"TOT"}
					 ]
				}';			
		echo $obj->setCampos($Campo);
		
		$Boton= '{
				 "botones":[
					 {"tipo":"submit", "id":"save", "name":"save", "texto":"Grabar", "ancho":"100", "alto":"22",
					  "click":"return confirm(\' DESEA REGISTRAR LA DEVOLUCION TOTAL ?\')"},
					 {"tipo":"button", "id":"regre", "name":"regre", "texto":"Regresar", "ancho":"100", "alto":"22", 
					  "click":"location=\''.$Link.'\'"}
				 ]
				 }';

		echo $obj->setBotones($Boton);
		echo "</form>";		
		}
		
	elseif($Opcion=="DEVOL") {
		$sql = "call spMante_Venta_Devolver($_GET[cven], $_GET[cpro], $_SESSION[_CUSE]);";
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();	
		echo "<script language='Javascript'>";
		echo "window.location='$Link'";
		echo "</script>\n";
		}
	if(isset($_POST["save"])) {
		if(isset($_SESSION["_CUSE"])) $Usuario = $_SESSION["_CUSE"];
		else $Usuario = 1;
		
		if($_POST["opt"]=="PAR") {
			$sql = "";
			foreach ($_POST["sel"] as $Codigo) {
				if($_POST["sel"][$Codigo]) {
					$valor = $_POST["cdev"][$Codigo];
					$varCod = substr($Codigo,0,6);
					$varTip = (substr($Codigo,6,1)==1)?"V":"B";
					$sql.= "call spMante_Venta_Devolver_Parcial(1, $_POST[cven], '$varCod', '$varTip', $valor, $_POST[mot], $Usuario);";
					
					}
				}
			}
		elseif($_POST["opt"]=="TOT") {
			$sql = "call spMante_Venta_Devolver_Total($_POST[cven], $_POST[mot], $Usuario);";
			}
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();
		echo "<script language='Javascript'>"; 
		echo "window.location='$Link'";
		echo "</script>\n";
		}
	} 
?>